cURL
1
curl --request POST \ --url https://api.example.com/api/contract-actions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "accountNumber": "ACC-0000000001", "actions": [ { "type": "create-contract-with-plan", "createContractWithPlan": [ { "planId": "16ad814a-dd1b-41c8-9b4b-4e8551170fee", "effectiveDate": "2026-02-01", "expirationDate": "2027-02-01", "currency": [ "USD" ] } ] } ] } '
200
{ "contractActionNumber": "CA-0000000176", "contractInfo": { "accountNumber": "A000-525", "contractNumber": "CT-0000000085", "effectiveDate": "2025-07-01", "expirationDate": "2026-07-01", "status": "active", "contractSegments": [ { "accountNumber": "A000-525", "contractNumber": "CT-0000000085", "previousContractSegmentId": null, "effectiveDate": "2025-07-01", "expirationDate": "2026-07-01", "currency": [ "CNY" ], "planId": "16ad814a-dd1b-41c8-9b4b-4e8551170fee", "billingCycleDay": 1, "billingCycleType": "monthly", "status": "active", "id": "979b1d96-1d82-4270-9d95-9db7c77fc237", "createdOn": "2025-07-13T03:41:23.723864Z", "updatedOn": "2025-07-13T03:41:23.723868Z", "createdBy": "d3e40eb2-c5d4-4141-b9d2-c8ebdad3c542", "updatedBy": "d3e40eb2-c5d4-4141-b9d2-c8ebdad3c542" } ], "id": "06380c37-9fbe-439f-bb38-926745116471", "createdOn": "2025-07-13T03:41:23.726906Z", "updatedOn": "2025-07-13T03:41:23.726910Z", "createdBy": "d3e40eb2-c5d4-4141-b9d2-c8ebdad3c542", "updatedBy": "d3e40eb2-c5d4-4141-b9d2-c8ebdad3c542" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Account Number
Contract actions
Show child attributes
active
expired
canceled